## fte 0.45

=== src/Makefile ===
all:
	@echo 'What (emx, unix, bcc2)?'

emx:
	make -f fte-emx.mak

unix:
	make -f fte-unix.mak

bcc2:
	make -f fte-bcc2.mak
