## fte 0.49.13-15.woody2

=== debian/changelog ===
fte (0.49.13-15.woody2) stable-security; urgency=high

  * Non-maintainer upload by the Security Team
  * Adjusted the version number so that it is higher than 0.49.13-15woody1
    and 0.49.13-15.0.1 [CAN-2003-0648]

 -- Martin Schulze <joey@infodrom.org>  Tue, 26 Oct 2004 11:20:58 +0200
