=== debian/changelog ===
fte (0.50.0-1.1) unstable; urgency=high

  * Remove setuid privileges from vfte due to a number of confirmed
    vulnerabilities (CAN-2003-0648, Closes: #203871)

 -- Matt Zimmerman <mdz@debian.org>  Thu, 29 Jan 2004 10:07:18 -0800

fte (0.50.0-1) unstable; urgency=low

  * CVS 2003/07/10
  * fixed spelling (Closes: 12468, 12469)
  * applied patch (Closes: 118734)
  * added linda override file
  * add mini-edit.xpm fte icon based on icons/fte16x16.xpm with reduced
    colors (Closes: #127877)
  * if user has set DISPLAY it's correct it will open xfte
    even over ssh - it's correct behaviour - not bug (Closes: 118734)
  * actualized README.Debian (Closes: 151674)

 -- Zdenek Kabelac <kabi@debian.org>  Thu,  7 Jul 2003 14:04:21 +0200
