=== debian/rules ===
--- 
+++ 
@@ -2,10 +2,6 @@
 
 # Sample debian/rules that uses debhelper.
 # GNU copyright 1997 to 1999 by Joey Hess.
-
-#
-# This version is for a multibinary package. It also allows you to build any
-# of the binary packages independantly, via binary-<package> targets.
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
@@ -40,22 +36,18 @@
         debian/$(xwindow)
 
 build:
-	$(checkdir)
-	$(MAKE) -C src/ -j 4 -f fte-unix.mak
+	@dh_testdir
+	$(MAKE) -C src -j 2 -f fte-unix.mak
 	touch build
 
 cleanB:
-	$(checkdir)
-	@rm -f `find . -name "*~"`
-	@rm -rf `find debian/* -type d ! -name CVS ` debian/files* core
-	@rm -f debian/*.debhelper
-	@rm -f debian/*.substvars
-	@rm -rf $(allpackages) debian/files* core
+	@dh_testdir
+	@dh_clean
 
 clean: cleanB
-	$(checkdir)
+	@dh_testdir
 	@rm -f build
-	@$(MAKE) -C src/ -f fte-unix.mak clean
+	@$(MAKE) -C src -f fte-unix.mak clean
 
 binary-indep:
 # There are no architecture-independent files to be uploaded
@@ -63,7 +55,7 @@
 # made here.
 
 binary-arch: cleanB checkroot checkscripts build
-	$(checkdir)
+	@dh_testdir
 	@echo ":: Preparing packages"
 #	@$(INST) -d debian
 #	@cd debian; install -d `cat *.dirs`
@@ -130,10 +122,6 @@
 #	@dpkg-gencontrol -pfte
 #	dpkg --build debian/tmp ..
 
-define checkdir
-	@test -f debian/rules
-endef
-
 checkscripts:
 	@echo ":: Checking scripts"
 	@bash -n debian/postrm
@@ -147,7 +135,7 @@
 	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false
 
 checkroot:
-	$(checkdir)
+	@dh_testdir
 	@echo ":: Checking ROOT user"
 	@test root = "`whoami`"
