## fte 0.50.0-1.1ubuntu1

=== debian/changelog ===
fte (0.50.0-1.1ubuntu1) breezy; urgency=low

  * Close bracket in egrep in debian/fte (Closes Malone #2143)

 -- Barry deFreese <bddebian@comcast.net>  Sat, 17 Sep 2005 19:21:59 -0400
