## fte 0.50.0-1.2ubuntu1

=== debian/changelog ===
fte (0.50.0-1.2ubuntu1) dapper; urgency=low

  * Resynchronise with Debian.

 -- Yann Rouillard <yann@pleiades.fr.eu.org>  Thu, 05 Jan 2006 12:48:26 +0000

fte (0.50.0-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Update slang build-dep (Closes: #315648).
  * Removed -Wmissing-prototypes as not supported (anymore)
  * src/con_slang.cpp: Explicit conversions to make sure it builds. 

 -- Luk Claes <luk@debian.org>  Wed, 28 Dec 2005 17:02:20 +0100
