## fte 0.50.0-1.4

=== debian/changelog ===
fte (0.50.0-1.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Move xfte out of /usr/X11R6.  Closes: #362912.
  * src/con_slang.cpp: Really port to S-Lang2 (fixing a buffer overflow).
    Closes: #346284.
  * debian/fte: Add closing bracket in regular expression.  Thanks to
    Nate Bargmann for the patch.  Closes: #217266.
  * Make the package descriptions more consistent and explanatory.
    Closes: #209496, #363527.

 -- Matej Vela <vela@debian.org>  Mon,  5 Jun 2006 06:52:10 +0200

fte (0.50.0-1.3) unstable; urgency=high

  * Non-maintainer upload.
  * Split xlibs-dev build-dep (Closes: #346262)
  * Quote values in menu files.

 -- Luk Claes <luk@debian.org>  Sat,  7 Jan 2006 00:09:50 +0100
