=== debian/rules ===
--- 
+++ 
@@ -71,9 +71,9 @@
 	@tar cf debian/$(docs)/usr/share/doc/fte/config-example.tar config
 	@$(INST) -s -m 4755 src/vfte debian/$(console)/usr/bin/
 	@$(INST) -s src/sfte debian/$(terminal)/usr/bin/
-	@$(INST) -s src/xfte debian/$(xwindow)/usr/X11R6/bin/
+	@$(INST) -s src/xfte debian/$(xwindow)/usr/bin/
 	@$(INST) -m 755 debian/fte debian/tmp/usr/bin/fte
-	@ln -s ../../../share/man/man1/fte.1.gz debian/$(xwindow)/usr/X11R6/man/man1/xfte.1.gz
+	@ln -s fte.1.gz debian/$(xwindow)/usr/share/man/man1/xfte.1.gz
 	@ln -s fte.1.gz debian/$(console)/usr/share/man/man1/vfte.1.gz
 	@ln -s fte.1.gz debian/$(terminal)/usr/share/man/man1/sfte.1.gz
 	@cp -a debian/fte-console.lintian debian/$(console)/usr/share/lintian/overrides/fte-console
@@ -118,7 +118,7 @@
 	dh_md5sums
 	dh_builddeb -v
 
-#	dpkg-shlibdeps debian/tmp/usr/X11R6/bin/xfte -drecommends debian/tmp/usr/bin/vfte debian/tmp/usr/bin/cfte
+#	dpkg-shlibdeps debian/tmp/usr/bin/xfte -drecommends debian/tmp/usr/bin/vfte debian/tmp/usr/bin/cfte
 #	@dpkg-gencontrol -pfte
 #	dpkg --build debian/tmp ..
