## fte 0.50.0-1.4build1

=== debian/changelog ===
fte (0.50.0-1.4build1) intrepid; urgency=low

  * Rebuild for libgpmg1 -> libgpm2 transistion.

 -- Steve Kowalik <stevenk@ubuntu.com>  Sun, 20 Jul 2008 05:24:41 +1000
