## fte 0.50.0-2

=== debian/changelog ===
fte (0.50.0-2) unstable; urgency=low

  * QA upload.
    + Set maintainer to Debian QA Group <packages@qa.debian.org>
  * Version debhelper build-dep and set to >= 5.0.0.
  * Move DH_COMPAT from rules to debian/compat and set to 5.
  * Update x-dev build-dep to x11proto-core-dev. (Closes: #515373).
  * Hammer build system to actually use debhelper.
  * Add ${misc:Depends} for debhelper package.
  * Replace ${Source-Version} with ${binary:Version}.
  * Add appropriate Copyright holders to debian/copyright.
  * Add set -e to maintainer scripts.
  * Remove circular depends. fte Recommends fte-*. (Closes: #387204).
  * Install menu icon. (Closes: #210614).
  * THIS PACKAGE SHOULD NOT BE NATIVE.
  * Bump Standards Version to 3.8.1.
    + Menu policy transition.

 -- Barry deFreese <bdefreese@debian.org>  Thu, 23 Apr 2009 12:42:54 -0400
