=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: fte
 Section: editors
 Priority: optional
-Maintainer: Zdenek Kabelac <kabi@debian.org>
-Standards-Version: 3.1.1.1
-Build-Depends: debhelper, perl5, libx11-dev, libxt-dev, x-dev, libgpmg1-dev, libncurses5-dev, libslang2-dev, patch,
+Maintainer: Debian QA Group <packages@qa.debian.org>
+Build-Depends: debhelper (>= 5.0.0), perl5, libx11-dev, libxt-dev, x11proto-core-dev, libgpmg1-dev, libncurses5-dev, libslang2-dev, patch,
+Standards-Version: 3.8.1
 
 Package: fte
 Architecture: any
-Depends: ${shlibs:Depends}, fte-xwindow | fte-terminal | fte-console
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Recommends: fte-xwindow | fte-terminal | fte-console
 Conflicts: fte-console (<< 0.49.13-3), fte-cfgdocs (<< 0.49.13-3)
 Suggests: fte-docs, exuberant-ctags
 Description: Text editor for programmers - base package
@@ -22,8 +23,9 @@
  of the packages in the dependencies.
 
 Package: fte-docs
-Architecture: any
-Depends: fte (= ${Source-Version})
+Section: doc
+Architecture: all
+Recommends: fte (= ${binary:Version})
 Replaces: fte-cfgdocs (<< 0.49.13-3)
 Description: Documentation and examples for the FTE editor
  FTE is a text editor for programmers.  Some of its features are smart
@@ -36,7 +38,7 @@
 
 Package: fte-xwindow
 Architecture: any
-Depends: ${shlibs:Depends}, fte (= ${Source-Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, fte (= ${binary:Version})
 Replaces: fte (<< 0.49.2-1)
 Description: Text editor for programmers - X Window System edition with I18N support
  FTE is a text editor for programmers.  Some of its features are smart
@@ -49,7 +51,7 @@
 
 Package: fte-console
 Architecture: any
-Depends: ${shlibs:Depends}, fte (= ${Source-Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, fte (= ${binary:Version})
 Conflicts: suidmanager (<< 0.50)
 Description: Text editor for programmers - console edition, no I18N support
  FTE is a text editor for programmers.  Some of its features are smart
@@ -62,7 +64,7 @@
 
 Package: fte-terminal
 Architecture: any
-Depends: ${shlibs:Depends}, fte (= ${Source-Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, fte (= ${binary:Version})
 Description: Text editor for programmers - version for terminals
  FTE is a text editor for programmers.  Some of its features are smart
  indentation for C, C++, Java, Perl; color syntax highlighting for many more
