=== debian/changelog ===
fte (0.50.2b6-8) unstable; urgency=medium

  * QA upload.
  * Apply patch by Reiner Herrmann to make build reproducible. (Closes:
    #803064)
    + Add build-dependency on tar >= 1.28

 -- Axel Beckert <abe@debian.org>  Thu, 12 Nov 2015 20:20:36 +0100

fte (0.50.2b6-7) unstable; urgency=medium

  * QA upload.
  * Add override_dh_install-arch and create /etc/fte/system.fterc
    there, where it probably belongs. Reported by Axel Beckert.

 -- Santiago Vila <sanvila@debian.org>  Mon, 14 Sep 2015 23:32:38 +0200

fte (0.50.2b6-6) unstable; urgency=low

  * QA upload.
  * debian/rules: Set sane permissions on the "config" directory
    before creating config-example.tar.gz from its contents.

 -- Santiago Vila <sanvila@debian.org>  Mon, 31 Aug 2015 13:00:42 +0200

fte (0.50.2b6-5) unstable; urgency=low

  * QA upload.
  * Add forgotten "QA upload" to previous changelog entry.
  * Override dh_auto_install with noop. It triggers upstream's default
    build target which breaks non-linux builds.
  * Add patch to properly pass through compile flags. Fixes lintian
    warning "hardening-no-relro" and blhc warning "LDFLAGS missing".

 -- Axel Beckert <abe@debian.org>  Wed, 27 May 2015 02:02:42 +0200

fte (0.50.2b6-4) unstable; urgency=low

  * QA upload.
  * Fix arch-only builds.

 -- Axel Beckert <abe@debian.org>  Tue, 26 May 2015 00:55:34 +0200

fte (0.50.2b6-3) unstable; urgency=low

  * QA upload.
  * Add Vcs-* headers for newly created collab-maint git repository.
  * Apply wrap-and-sort.
  * Replace hardcoded architecture lists with linux-any. (Closes: #634338)
  * Replace build-dependency on obsolete virtual package "perl5" by
    "perl". (Closes: #786676)
  * Change debian/rules to the minimal dh v7 style.
    + Switch to using dh_auto_{configure,build,install,clean}.
    + Fixes installation of configuration examples. (Closes: #643017)
  * Bump debhelper compatibility level to 9
    + Update versioned build-dependency on debhelper accordingly.
  * Add fte to debian/clean.
  * Remove ancient (pre-oldoldstable) versioned Conflicts and Replaces.
    + Fixes lintian warning conflicts-with-version.
  * Declare compliance with Debian Policy 3.9.6 (no other changes needed).
  * Install NEWS as upstream changelog.
  * Explicitly run "gzip -n" to compress example config tar ball.
    + Fixes lintian warning package-contains-timestamped-gzip.
  * Convert debian/copyright to machine-readable DEP5 format.
  * Add patch to fix spelling error in messages and variable names.
  * Remove now obsolete debian/fte-{console,terminal,xwindow}.dirs.
    + Fixes lintian warning package-contains-empty-directory.
  * Rename debian/fte.sh to debian/bin/fte to be able to install it via
    debian/fte.install.
  * Fix lintian warning hyphen-used-as-minus-sign in debian/fte.1.
  * Add patch by Alexander Ovchinnikov to fix FTBFS with clang. (Closes:
    #749086)

 -- Axel Beckert <abe@debian.org>  Tue, 26 May 2015 00:01:09 +0200

fte (0.50.2b6-2) unstable; urgency=medium

  * QA upload.
  * Fix unhandled symlink-to-directory conversion dating back to to the
    lenny -> squeeze upgrade.  (Closes: #774938)
  * d/rules: Run dh_installdeb before dh_gencontrol.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 09 Jan 2015 12:09:10 +0100

fte (0.50.2b6-1) unstable; urgency=low

  * QA upload.
  * Synchronise with current upstream sources.
    (Closes: #195945)
  * Include NMUs by Nobuhiro Iwamatsu and Hideki Yamane,
    thanks to both.
  * Move to 3.0 quilt

 -- Neil Williams <codehelp@debian.org>  Sun, 14 Aug 2011 10:28:46 +0100

fte (0.50.2-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix build fte-console binary package on powerpc, s390, sparc and sh4.
    (Closes: #586160)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 28 Jul 2010 12:21:19 +0900

fte (0.50.2-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/control
    - add "Build-Depends: libxpm-dev" (Closes: #573625)

 -- Hideki Yamane <henrich@debian.org>  Sat, 22 May 2010 11:44:19 +0900

fte (0.50.2-1) unstable; urgency=low

  * CVS 2010/03/07
  * fixed build-dependency x-dev -> x11proto-core-dev (Closes: #515373)
  * applied patch GNU/kFreeBSD by Peter Salinger (Closes: #379778)
  * fixed segfault with ctags (Closes: #222485)
  * fixed lots of endianes issues upstream  (Closes: #471376)
  * added Provides: editor (Closes: #398746)
  * pushing NMU to upstream files

 -- Zdenek Kabelac <kabi@debian.org>  Tue, 06 Mar 2010 19:55:23 +0100

fte (0.50.0-3) unstable; urgency=low

  * QA upload
  * Enable compilation on non-linux architectures, based on a patch by
    Petr Salinger (thanks!) (Closes: #379778):
    - no build-depends on libgpmg1-dev on kfreebsd, hurd
    - adapt invocation of make in build target to non-linux architectures
    - restrict architecture of fte-console to linux
    - use -a flag for dh_* calls in binary_arch target
  * fte-docs depends on ${misc:Depends}.
  * Add stuff for target binary-indep
  * Register documents in the fte-docs package with doc-base, instead of menu

 -- Ralf Treinen <treinen@debian.org>  Tue, 23 Feb 2010 21:28:44 +0100
