=== debian/control ===
--- 
+++ 
@@ -2,15 +2,29 @@
 Section: editors
 Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper (>= 5.0.0), perl5, libx11-dev, libxt-dev, x11proto-core-dev, libgpmg1-dev, libncurses5-dev, libslang2-dev, patch,
-Standards-Version: 3.8.1
+Build-Depends: debhelper (>= 9),
+               libgpmg1-dev [linux-any],
+               libncurses5-dev,
+               libslang2-dev,
+               libx11-dev,
+               libxpm-dev,
+               libxt-dev,
+               patch,
+               perl,
+               tar (>= 1.28),
+               x11proto-core-dev
+Homepage: http://fte.sourceforge.net/
+Standards-Version: 3.9.6
+Vcs-Git: git://anonscm.debian.org/collab-maint/fte.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/fte.git/
 
 Package: fte
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Recommends: fte-xwindow | fte-terminal | fte-console
-Conflicts: fte-console (<< 0.49.13-3), fte-cfgdocs (<< 0.49.13-3)
-Suggests: fte-docs, exuberant-ctags
+Suggests: exuberant-ctags,
+          fte-docs
 Description: Text editor for programmers - base package
  FTE is a text editor for programmers.  Some of its features are smart
  indentation for C, C++, Java, Perl; color syntax highlighting for many more
@@ -25,8 +39,8 @@
 Package: fte-docs
 Section: doc
 Architecture: all
+Depends: ${misc:Depends}
 Recommends: fte (= ${binary:Version})
-Replaces: fte-cfgdocs (<< 0.49.13-3)
 Description: Documentation and examples for the FTE editor
  FTE is a text editor for programmers.  Some of its features are smart
  indentation for C, C++, Java, Perl; color syntax highlighting for many more
@@ -38,8 +52,11 @@
 
 Package: fte-xwindow
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, fte (= ${binary:Version})
-Replaces: fte (<< 0.49.2-1)
+Pre-Depends: ${misc:Pre-Depends}
+Depends: fte (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
+Provides: editor
 Description: Text editor for programmers - X Window System edition with I18N support
  FTE is a text editor for programmers.  Some of its features are smart
  indentation for C, C++, Java, Perl; color syntax highlighting for many more
@@ -50,9 +67,12 @@
  This is the X Window System edition, with internationalization support.
 
 Package: fte-console
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, fte (= ${binary:Version})
-Conflicts: suidmanager (<< 0.50)
+Architecture: linux-any
+Pre-Depends: ${misc:Pre-Depends}
+Depends: fte (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
+Provides: editor
 Description: Text editor for programmers - console edition, no I18N support
  FTE is a text editor for programmers.  Some of its features are smart
  indentation for C, C++, Java, Perl; color syntax highlighting for many more
@@ -64,7 +84,11 @@
 
 Package: fte-terminal
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, fte (= ${binary:Version})
+Pre-Depends: ${misc:Pre-Depends}
+Depends: fte (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
+Provides: editor
 Description: Text editor for programmers - version for terminals
  FTE is a text editor for programmers.  Some of its features are smart
  indentation for C, C++, Java, Perl; color syntax highlighting for many more
