## fte 0.50.2b6-20110708

=== debian/changelog ===
fte (0.50.2b6-20110708-8) unstable; urgency=medium

  * QA upload.
  * debian/copyright: Update packaging copyright information.
  * debian/tests/control: Create autopkgtest.

  [ Andreas Beckmann ]
  * debian/salsa-ci.yml: New quoting for SALSA_CI_BLHC_ARGS.

 -- Omar Zagonel El Laden <omarzladen@gmail.com>  Sat, 04 Oct 2025 13:42:42 -0300

fte (0.50.2b6-20110708-7) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.6.2, no changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 12 Feb 2025 01:46:39 +0100

fte (0.50.2b6-20110708-6) unstable; urgency=medium

  [ Andreas Beckmann ]
  * QA upload.
  * Fix building with strlcpy() provided by glibc 2.38.  (Closes: #1071307)
  * Switch from transitional B-D to libncurses-dev.
  * Declare Rules-Requires-Root: no.
  * The toolchain defaults to linking with --as-needed since bullseye.
  * Update Lintian overrides.

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + fte-docs: Add Multi-Arch: foreign.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 28 May 2024 15:05:57 +0200

fte (0.50.2b6-20110708-5) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on tar.
    + Remove 4 maintscript entries from 4 files.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 04 Jun 2022 23:11:21 +0100

fte (0.50.2b6-20110708-4) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Use secure copyright file specification URI.
  * Fix day-of-week for changelog entries 0.50.2-1, 0.50.0-1, 0.49.13-
    15, 0.49.13-5, 0.49.13-3.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 04 Feb 2021 01:39:59 +0000

fte (0.50.2b6-20110708-3) unstable; urgency=medium

  * QA upload.
  * Bump DH level to 12
  * Update Standards-Version to 4.4.1
  * d/control: Move packaging to salsa
  * d/rules: Use architecture.mk for DEB_HOST_ARCH_OS variable
  * Use my d.o email address

 -- Samuel Henrique <samueloph@debian.org>  Sun, 01 Dec 2019 18:59:35 +0000

fte (0.50.2b6-20110708-2) unstable; urgency=medium

  * QA upload.
  * fte-docs: Fix unhandled symlink-to-directory conversion dating back to
    the lenny -> squeeze upgrade.  (Closes: #861306)
  * Fix another typo found by lintian.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 27 Apr 2017 11:13:30 +0200

fte (0.50.2b6-20110708-1) unstable; urgency=medium

  * QA upload
  * Include the date present in upstream tar ball file names in Debian's
    upstream version number, too, to be able to properly use a watch
    file. That way we can actually use a watch file. No new upstream
    release, just a renamed orig.tar.gz file. (Closes: #819418)

 -- Axel Beckert <abe@debian.org>  Mon, 28 Mar 2016 13:09:19 +0200

fte (0.50.2b6-9) unstable; urgency=medium

  * QA upload.
  * debian/control:
    - Standards-Version: Update to 3.9.7.
    - Vcs-Browser: Correct url and use the same as Vcs-Git.
    - Vcs-Git: Use https.
  * debian/README.Debian:
    - Fix typos.
    - Rename from README.debian to README.Debian.
  * debian/rules:
    - Add DEB_BUILD_MAINT_OPTIONS variable to improve the GCC hardening.
    - Add DEB_LDFLAGS_MAINT_APPEND variable to avoid useless dependency.
  * debian/watch: Create.

 -- Samuel Henrique <samueloph@debian.org>  Sun, 20 Mar 2016 17:20:21 -0300
