=== debian/control ===
--- 
+++ 
@@ -2,21 +2,21 @@
 Section: editors
 Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper-compat (= 13),
                libgpmg1-dev [linux-any],
-               libncurses5-dev,
+               libncurses-dev,
                libslang2-dev,
                libx11-dev,
                libxpm-dev,
                libxt-dev,
                patch,
                perl,
-               tar (>= 1.28),
                x11proto-core-dev
-Homepage: http://fte.sourceforge.net/
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/collab-maint/fte.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/fte.git/
+Rules-Requires-Root: no
+Homepage: https://fte.sourceforge.net/
+Standards-Version: 4.6.2
+Vcs-Git: https://salsa.debian.org/debian/fte.git
+Vcs-Browser: https://salsa.debian.org/debian/fte
 
 Package: fte
 Architecture: any
@@ -39,8 +39,10 @@
 Package: fte-docs
 Section: doc
 Architecture: all
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}
 Recommends: fte (= ${binary:Version})
+Multi-Arch: foreign
 Description: Documentation and examples for the FTE editor
  FTE is a text editor for programmers.  Some of its features are smart
  indentation for C, C++, Java, Perl; color syntax highlighting for many more
