=== debian/tests/control ===
Test-Command: fte --help | grep Version
Restrictions: superficial
